<?xml version="1.0" encoding="UTF-8"?>

<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.scene.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.shape.*?>
<?import javafx.scene.text.*?>

<AnchorPane id="AnchorPane" fx:id="parentPane" prefHeight="400.0" prefWidth="600.0" xmlns:fx="http://javafx.com/fxml/1" xmlns="http://javafx.com/javafx/2.2" fx:controller="bloodbankserver.LoginViewController">
  <children>
    <ProgressBar fx:id="progressBar" layoutX="14.0" layoutY="362.0" prefHeight="24.0" prefWidth="572.0" progress="0.0" />
    <Label fx:id="progressLabel" layoutX="14.0" layoutY="339.0" prefWidth="572.0" text="Loading..." />
    <Rectangle fx:id="loginRect" arcHeight="20.0" arcWidth="20.0" fill="#dfdfdf" height="144.0001220703125" layoutX="256.0" layoutY="186.0" stroke="WHITE" strokeType="INSIDE" width="320.0" />
    <AnchorPane id="AnchorPane" fx:id="loginPane" disable="false" layoutX="272.0" layoutY="196.0" opacity="1.0" prefHeight="123.0">
      <children>
        <Label prefWidth="56.0" text="Login">
          <font>
            <Font name="System Bold" size="16.0" />
          </font>
        </Label>
        <Label layoutX="18.0" layoutY="36.0" prefWidth="76.0" text="User Name">
          <font>
            <Font size="14.0" fx:id="x1" />
          </font>
        </Label>
        <Label font="$x1" layoutX="18.0" layoutY="67.0" prefWidth="76.0" text="Password" />
        <TextField fx:id="userText" layoutX="94.0" layoutY="35.0" prefWidth="196.0" />
        <PasswordField fx:id="passField" layoutX="94.0" layoutY="67.0" onAction="#onLoginBtnClick" prefWidth="196.0" />
        <Button id="loginButton" layoutX="234.0" layoutY="101.0" mnemonicParsing="false" onAction="#onLoginBtnClick" prefWidth="56.0" text="Login">
          <font>
            <Font name="System Bold" size="12.0" fx:id="x2" />
          </font>
        </Button>
        <Button id="cancelButton" font="$x2" layoutX="164.0" layoutY="101.0" mnemonicParsing="false" onAction="#onCancelBtnClick" text="Cancel" />
      </children>
    </AnchorPane>
    <ImageView id="LiginPicServer.png" layoutX="28.0" layoutY="31.0">
      <image>
        <Image url="@LiginPicServer.png" preserveRatio="true" smooth="true" />
      </image>
    </ImageView>
  </children>
</AnchorPane>
